CREATE TABLE [wh].[PL_S43DettaglioProdottiBF] (
	[ProcedureName] nvarchar(41) NOT NULL,
	[i_rete] nvarchar(1) NOT NULL,
	[i_codiceFiscale] nvarchar(16) NOT NULL,
	[needarea] nvarchar(20) NOT NULL,
	[needareades] nvarchar(30) NULL,
	[areasortorder] int NULL,
	[nome_progetto] nvarchar(40) NULL,
	[ORDINAMENTO_PROGETTO] int NULL,
	[somma_controval_needarea] decimal(38,3) NULL,
	[versato_needarea] decimal(38,3) NULL,
	[versato_needareaString] nvarchar(4) NULL,
	[MinusPlusValenza_needarea] decimal(38,2) NULL,
	[MinusPlusValenza_needareaString] nvarchar(4) NULL,
	[somma_controval_need_prog] decimal(38,3) NULL,
	[versato_need_prog] decimal(38,3) NULL,
	[versato_need_progString] nvarchar(4) NULL,
	[MinusPlusValenza_need_prog] decimal(38,2) NULL,
	[MinusPlusValenza_need_progString] nvarchar(4) NULL,
	[somma_var_need_prog] decimal(12,3) NULL,
	[somma_copertura_need_prog] decimal(12,3) NULL,
	[var_needarea] decimal(12,3) NULL,
	[var_needareaString] nvarchar(4) NULL,
	[copertura_needarea] decimal(5,2) NULL,
	[copertura_needareaString] nvarchar(4000) NULL,
	[var_need_prog] decimal(12,3) NULL,
	[var_need_progString] nvarchar(4) NULL,
	[copertura_need_prog] decimal(12,3) NULL,
	[dataSottoscrizione] varchar(30) NULL,
	[ContrattoDossier] nvarchar(11) NOT NULL,
	[Descrizione] nvarchar(144) NOT NULL,
	[Controvalore] decimal(15,3) NULL,
	[VersatoNetto] decimal(17,3) NULL,
	[VersatoNettoString] nvarchar(4) NULL,
	[MinusPlusValenza] decimal(15,2) NULL,
	[MinusPlusValenzaString] nvarchar(4) NULL,
	[VaRprodotto] numeric(12,3) NULL,
	[varProdottoString] nvarchar(4) NULL,
	[Coperturaprodotto] numeric(12,3) NULL,
	[PerformanceYTD] decimal(8,5) NULL,
	[performanceDS] decimal(8,5) NULL,
	[partitaViaggiante] decimal(15,3) NULL,
	[nota_needarea] nvarchar(1) NOT NULL,
	[creditrisk] int NULL,
	[creditriskstring] nvarchar(4) NULL,
	[creditriskemit] int NULL,
	[Id] int NOT NULL IDENTITY(1,1)
)
ALTER TABLE [wh].[PL_S43DettaglioProdottiBF] ADD CONSTRAINT [PK__PL_S43DettaglioP__070E92C7] PRIMARY KEY CLUSTERED ([Id])
GO